id: String

The unique identifier of the reasoning content.

summary: Array[Summary{ text, type}]

Reasoning summary content.

text: String

A summary of the reasoning output from the model so far.

type: :summary_text

The type of the object. Always summary_text.

type: :reasoning

The type of the object. Always reasoning.

agent: Agent{ agent_name}

The agent that produced this item.

agent_name: String

The canonical name of the agent that produced this item.

content: Array[Content{ text, type}]

Reasoning text content.

text: String

The reasoning text from the model.

type: :reasoning_text

The type of the reasoning text. Always reasoning_text.

encrypted_content: String

The encrypted content of the reasoning item. This is populated by default for reasoning items returned by POST /v1/responses and WebSocket response.create requests.

When streaming, use the completed reasoning item and its encrypted_content from the response.output_item.done event in subsequent requests. The encrypted_content in response.output_item.added may be incomplete. This is especially important when store is false or when using Zero Data Retention.

status: :in_progress | :completed | :incomplete

The status of the item. One of in_progress, completed, or incomplete. Populated when items are returned via API.

One of the following:
:in_progress
:completed
:incomplete